Shell Docs Grep
curl --request POST \
--url https://apigcp.trynia.ai/v2/shell-docs/{namespace}/grep \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pattern": "<string>",
"path": "",
"case_sensitive": false,
"whole_word": false,
"fixed_string": false,
"max_total_matches": 100,
"max_matches_per_file": 10,
"context_lines": 3,
"lines_before": 123,
"lines_after": 123,
"output_mode": "content",
"multiline_content": false
}
'import requests
url = "https://apigcp.trynia.ai/v2/shell-docs/{namespace}/grep"
payload = {
"pattern": "<string>",
"path": "",
"case_sensitive": False,
"whole_word": False,
"fixed_string": False,
"max_total_matches": 100,
"max_matches_per_file": 10,
"context_lines": 3,
"lines_before": 123,
"lines_after": 123,
"output_mode": "content",
"multiline_content": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pattern: '<string>',
path: '',
case_sensitive: false,
whole_word: false,
fixed_string: false,
max_total_matches: 100,
max_matches_per_file: 10,
context_lines: 3,
lines_before: 123,
lines_after: 123,
output_mode: 'content',
multiline_content: false
})
};
fetch('https://apigcp.trynia.ai/v2/shell-docs/{namespace}/grep', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Usage
Shell Docs Grep
POST
/
shell-docs
/
{namespace}
/
grep
Shell Docs Grep
Authorizations
API key must be provided in the Authorization header
Path Parameters
Body
application/json
Regex pattern
Path prefix filter
Required range:
1 <= x <= 10000Required range:
1 <= x <= 100Required range:
0 <= x <= 10content|files_with_matches|count
Response
Successful Response
Was this page helpful?
⌘I

